Name:		polkit-qt
Version:	0.9.2
Release:	2%{?dist}
Summary:	Qt bindings for PolicyKit

Group:		System Environment/Libraries
License:	GPLv2+
URL:		http://api.kde.org/kdesupport-api/kdesupport-apidocs/polkit-qt/html/
Source0:	http://download.kde.org/stable/apps/KDE4.x/admin/polkit-qt-0.9.2.tar.bz2
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)

BuildRequires:  automoc4
BuildRequires:  cmake
BuildRequires:  PolicyKit-devel
BuildRequires:  qt4-devel

%description
Polkit-qt is a library that lets developers use the PolicyKit API through a nice
Qt-styled API. It is mainly a wrapper around QAction and QAbstractButton that
lets you integrate those two component easily with PolicyKit.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig
Requires: PolicyKit-devel
%description devel
%{summary}.

%package examples 
Summary: Example files for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
%description examples 
%{summary}.



%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DBUILD_EXAMPLES=1 ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%clean
rm -rf %{buildroot}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libpolkit-qt-core.so.0*
%{_libdir}/libpolkit-qt-gui.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/PolicyKit/polkit-qt/
%{_libdir}/libpolkit-qt-core.so
%{_libdir}/libpolkit-qt-gui.so
%{_libdir}/pkgconfig/polkit-qt.pc
%{_libdir}/pkgconfig/polkit-qt-core.pc
%{_libdir}/pkgconfig/polkit-qt-gui.pc

%files examples
%defattr(-,root,root,-)
%{_sysconfdir}/dbus-1/system.d/org.qt.policykit.examples.conf
%{_bindir}/polkit-example-helper
%{_datadir}/PolicyKit/policy/org.qt.policykit.examples.policy
%{_datadir}/dbus-1/system-services/org.qt.policykit.examples.service


%changelog
* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Apr 22 2009 Rex Dieter <rdieter@fedoraproject.org> 0.9.2-1
- polkit-0.9.2

